Package org.eclipse.graphiti.mm.pictograms.impl

# Class ConnectionDecoratorImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.impl.PropertyContainerImpl
org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl
org.eclipse.graphiti.mm.pictograms.impl.ShapeImpl
org.eclipse.graphiti.mm.pictograms.impl.ConnectionDecoratorImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `GraphicsAlgorithmContainer`, `AnchorContainer`, `ConnectionDecorator`, `PictogramElement`, `Shape`, `PropertyContainer`

public class ConnectionDecoratorImpl extends ShapeImpl implements ConnectionDecorator
An implementation of the model object 'Connection Decorator'.

The following features are implemented:

- `Location Relative`
- `Location`
- `Connection`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected double`
`location`
The cached value of the '`Location`' attribute.
`protected static final double`
`LOCATION_EDEFAULT`
The default value of the '`Location`' attribute.
`protected static final boolean`
`LOCATION_RELATIVE_EDEFAULT`
The default value of the '`Location Relative`' attribute.
`protected boolean`
`locationRelative`
The cached value of the '`Location Relative`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl

`anchors`

### Fields inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`active, ACTIVE_EDEFAULT, graphicsAlgorithm, link, visible, VISIBLE_EDEFAULT`

### Fields inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`properties`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConnectionDecoratorImpl()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`basicGetConnection()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetConnection(Connection newConnection, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Connection`
`getConnection()`
`double`
`getLocation()`
`boolean`
`isLocationRelative()`
`void`
`setConnection(Connection newConnection)`
`void`
`setLocation(double newLocation)`
`void`
`setLocationRelative(boolean newLocationRelative)`
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.ShapeImpl

`basicGetContainer, basicSetContainer, getContainer, setContainer`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl

`getAnchors`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`basicGetGraphicsAlgorithm, basicGetLink, basicSetGraphicsAlgorithm, basicSetLink, getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Shape

`getContainer, setContainer`

## Field Details

### LOCATION_RELATIVE_EDEFAULT

protected static final boolean LOCATION_RELATIVE_EDEFAULT
The default value of the '`Location Relative`' attribute.

See Also:
  - `isLocationRelative()`
  - Constant Field Values

### locationRelative

protected boolean locationRelative
The cached value of the '`Location Relative`' attribute.

See Also:
  - `isLocationRelative()`

### LOCATION_EDEFAULT

protected static final double LOCATION_EDEFAULT
The default value of the '`Location`' attribute.

See Also:
  - `getLocation()`
  - Constant Field Values

### location

protected double location
The cached value of the '`Location`' attribute.

See Also:
  - `getLocation()`

## Constructor Details

### ConnectionDecoratorImpl

protected ConnectionDecoratorImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ShapeImpl`

### isLocationRelative

public boolean isLocationRelative()

Specified by:
  `isLocationRelative` in interface `ConnectionDecorator`
Returns:
  the value of the 'Location Relative' attribute.
See Also:
  - `ConnectionDecorator.setLocationRelative(boolean)`
  - `PictogramsPackage.getConnectionDecorator_LocationRelative()`

### setLocationRelative

public void setLocationRelative(boolean newLocationRelative)

Specified by:
  `setLocationRelative` in interface `ConnectionDecorator`
Parameters:
  `newLocationRelative` - the new value of the 'Location Relative' attribute.
See Also:
  - `ConnectionDecorator.isLocationRelative()`

### getLocation

public double getLocation()

Specified by:
  `getLocation` in interface `ConnectionDecorator`
Returns:
  the value of the 'Location' attribute.
See Also:
  - `ConnectionDecorator.setLocation(double)`
  - `PictogramsPackage.getConnectionDecorator_Location()`

### setLocation

public void setLocation(double newLocation)

Specified by:
  `setLocation` in interface `ConnectionDecorator`
Parameters:
  `newLocation` - the new value of the 'Location' attribute.
See Also:
  - `ConnectionDecorator.getLocation()`

### getConnection

public Connection getConnection()

Specified by:
  `getConnection` in interface `ConnectionDecorator`
Returns:
  the value of the 'Connection' container reference.
See Also:
  - `ConnectionDecorator.setConnection(Connection)`
  - `PictogramsPackage.getConnectionDecorator_Connection()`
  - `Connection.getConnectionDecorators()`

### basicGetConnection

public Connection basicGetConnection()

### basicSetConnection

public org.eclipse.emf.common.notify.NotificationChain basicSetConnection(Connection newConnection, org.eclipse.emf.common.notify.NotificationChain msgs)

### setConnection

public void setConnection(Connection newConnection)

Specified by:
  `setConnection` in interface `ConnectionDecorator`
Parameters:
  `newConnection` - the new value of the 'Connection' container reference.
See Also:
  - `ConnectionDecorator.getConnection()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `ShapeImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ShapeImpl`

### eBasicRemoveFromContainerFeature

public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `ShapeImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ShapeImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ShapeImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ShapeImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ShapeImpl`

### toString

public String toString()

Overrides:
  `toString` in class `PictogramElementImpl`